Bug 433245 - Cannot run 'hts certify' on properly-configured Superdome/sx2000 [RHEL5.1]
Summary: Cannot run 'hts certify' on properly-configured Superdome/sx2000 [RHEL5.1]
Status: CLOSED DUPLICATE of bug 424121
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests)   
(Show other bugs)
Version: 5
Hardware: ia64
OS: Linux
low
high
Target Milestone: ---
: ---
Assignee: Greg Nichols
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-18 01:39 UTC by Rick Hester
Modified: 2008-07-16 21:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-21 14:37:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hts config files (1.77 KB, application/octet-stream)
2008-02-18 01:39 UTC, Rick Hester
no flags Details

Description Rick Hester 2008-02-18 01:39:21 UTC
Description of problem: I installed the HTS cert-suite (and supporting testware
packages) on a SandDune (Superdome/sx2000), ran "hts discover" and "hts plan",
and after examining the resulting XML config-files (attached), I tried to run
the CORE and MEMORY tests but got an abort:

[root@worm0 ~]# hts certify --test core --test memory
loaded configuration /var/hts/config.xml
loaded plan /var/hts/plan.xml
running only test memory
running info on /org/freedesktop/Hal/devices/computer
Traceback (most recent call last):
 File "/usr/bin/hts", line 55, in ?
   success = hts.do(args)
 File "/usr/share/hts/lib/hts/hardwaretest.py", line 153, in do
   return self.doCertify()
 File "/usr/share/hts/lib/hts/hardwaretest.py", line 348, in doCertify
   kudzu = Kudzu()
 File "/usr/share/hts/lib/hts/htskudzu.py", line 39, in __init__
   value = keyvalue[1].strip()
IndexError: list index out of range
[root@worm0 ~]#


How reproducible: 100% (always)

Steps to Reproduce: install HTS as specified, on a VERY large system (256-way,
2TB RAM)

Actual results: see above

Expected results: cert tests to actually run

Additional info: I performed the very same steps on a dom0 (32-way, 256GB) and
domU (1-way, 2GB) with no troubles.

Comment 1 Rick Hester 2008-02-18 01:39:21 UTC
Created attachment 295123 [details]
hts config files

Comment 2 Issue Tracker 2008-02-20 22:39:02 UTC
Glen, 

Could you please generate a sosreport from this system? 

Thanks! 



dwa assigned to issue for HP-IPF.
Internal Status set to 'Waiting on Customer'
Status set to: Waiting on Client
Version set to: '2.1'

This event sent from IssueTracker by dwa 
 issue 164512

Comment 3 Greg Nichols 2008-02-21 14:37:16 UTC

*** This bug has been marked as a duplicate of 424121 ***

Comment 4 Glen A. Foster 2008-02-21 15:11:35 UTC
... so now what do I do, to execute the certification test(s)?  It seems that
bug 424121 is inaccessible -- at least, when I try to examine it, I see the error:

Access to some bugs is restricted due to embargoed security issues or respect
for customer and partner information which must remain confidential.


Note You need to log in before you can comment on or make changes to this bug.